.container, .container-sm, .container-md, .container-lg, .container-xl {
    max-width: 95%;
}

#overlay {
    width:100%;
    height:100%;
    position: absolute;
    background-color: #fff;
}

#spinner {
    margin: 0;
    cursor: pointer;
    position:absolute;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%)
}

.mask {
    position: absolute;
    border-radius: 2px;
    overflow: hidden;
    -webkit-perspective: 1000;
    perspective: 1000;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.plane {
    background: #3eb16c;
    width: 400%;
    height: 100%;
    position: absolute;
    -webkit-transform: translate3d(0px, 0, 0);
    transform: translate3d(0px, 0, 0);
    /*transition: all 0.8s ease; */
    z-index: 100;
    -webkit-perspective: 1000;
    perspective: 1000;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.animation {
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

#top .plane {
    z-index: 2000;
    -webkit-animation: trans1 1.3s ease-in infinite 0s backwards;
    animation: trans1 1.3s ease-in infinite 0s backwards;
}

#middle .plane {
    -webkit-transform: translate3d(0px, 0, 0);
    transform: translate3d(0px, 0, 0);
    background: #227eab;
    -webkit-animation: trans2 1.3s linear infinite 0.3s backwards;
    animation: trans2 1.3s linear infinite 0.3s backwards;
}

#bottom .plane {
    z-index: 2000;
    -webkit-animation: trans3 1.3s ease-out infinite 0.7s backwards;
    animation: trans3 1.3s ease-out infinite 0.7s backwards;
}

#top {
    width: 53px;
    height: 20px;
    left: 20px;
    -webkit-transform: skew(-15deg, 0);
    transform: skew(-15deg, 0);
    z-index: 100;
}

#middle {
    width: 33px;
    height: 20px;
    left: 20px;
    top: 15px;
    -webkit-transform: skew(-15deg, 40deg);
    transform: skew(-15deg, 40deg);
}

#bottom {
    width: 53px;
    height: 20px;
    top: 30px;
    -webkit-transform: skew(-15deg, 0);
    transform: skew(-15deg, 0);
}

p.spinner {
    position: absolute;
    left: -3px;
    top: 55px;
    font-family: Arial;
    text-align: center;
    font-size: 10px;
}

@-webkit-keyframes trans1 {
    from {
        -webkit-transform: translate3d(53px, 0, 0);
        transform: translate3d(53px, 0, 0);
    }
    to {
        -webkit-transform: translate3d(-250px, 0, 0);
        transform: translate3d(-250px, 0, 0);
    }
}

@keyframes trans1 {
    from {
        -webkit-transform: translate3d(53px, 0, 0);
        transform: translate3d(53px, 0, 0);
    }
    to {
        -webkit-transform: translate3d(-250px, 0, 0);
        transform: translate3d(-250px, 0, 0);
    }
}

@-webkit-keyframes trans2 {
    from {
        -webkit-transform: translate3d(-160px, 0, 0);
        transform: translate3d(-160px, 0, 0);
    }
    to {
        -webkit-transform: translate3d(53px, 0, 0);
        transform: translate3d(53px, 0, 0);
    }
}

@keyframes trans2 {
    from {
        -webkit-transform: translate3d(-160px, 0, 0);
        transform: translate3d(-160px, 0, 0);
    }
    to {
        -webkit-transform: translate3d(53px, 0, 0);
        transform: translate3d(53px, 0, 0);
    }
}

@-webkit-keyframes trans3 {
    from {
        -webkit-transform: translate3d(53px, 0, 0);
        transform: translate3d(53px, 0, 0);
    }
    to {
        -webkit-transform: translate3d(-220px, 0, 0);
        transform: translate3d(-220px, 0, 0);
    }
}

@keyframes trans3 {
    from {
        -webkit-transform: translate3d(53px, 0, 0);
        transform: translate3d(53px, 0, 0);
    }
    to {
        -webkit-transform: translate3d(-220px, 0, 0);
        transform: translate3d(-220px, 0, 0);
    }
}

@-webkit-keyframes animColor {
    from {
        background: red;
    }
    25% {
        background: yellow;
    }
    50% {
        background: green;
    }
    75% {
        background: brown;
    }
    to {
        background: blue;
    }
}

@keyframes animColor {
    from {
        background: red;
    }
    25% {
        background: yellow;
    }
    50% {
        background: green;
    }
    75% {
        background: brown;
    }
    to {
        background: blue;
    }
}


h2.listening {
    color: #fff;
    font-family: Arial;
    font-weight: 100;
    text-align: center;
    font-size: 22px
}

.listening.block {
    width: 200px;
    padding: 20px 0;
    background-color: #1c94c4;
    border-radius: 30px;
    display:none;
}

.block-in {
    width: 300px;
    margin: 80px auto;
    overflow: hidden;
}

/*------------------------------------------------------------------------------
Type Loader  / prefixfree
---------------------------------------------------------------------------------*/

.tape {
    margin: 50px auto;
    width: 100px;
    height: 30px;
    border: 1px solid #333;
    border: none;
    overflow: hidden;
    position: relative;
    background: rgba(0, 0, 0, .3);
    border-radius: 5px;
    box-shadow: 0px 35px 0 -5px #333, 0 -5px 0 0px #232323, 0 -25px 0 -5px #ccc, -25px -30px 0 0px #232323, -25px 30px 0 0px #232323, 25px -30px 0 0px #232323, 25px 30px 0 0px #232323, 20px 10px 0 5px #232323, 20px -10px 0 5px #232323, -20px -10px 0 5px #232323, -20px 10px 0 5px #232323;
    animation: tape2 1.5s linear infinite alternate;
}

.tape:after, .tape:before {
    content: "";
    border-radius: 100%;
    width: 38px;
    height: 38px;
    display: block;
    position: absolute;
    border: 5px dashed #fff;
    margin: -9px auto;
    top: 0;
    bottom: 0;
    transform: rotate(0deg) scale(.4);
    animation: tape 4s linear infinite;
}

.tape:after {
    left: -10px;
    box-shadow: 0 0 0 4px #fff, 0 0 0 65px #000;
}

.tape:before {
    right: -10px;
    box-shadow: 0 0 0 4px #fff, 0 0 0 35px #000;
}

@keyframes tape {
    0% {
        transform: rotate(0deg) scale(.4);
    }
    100% {
        transform: rotate(-360deg) scale(.4);
    }
}

@keyframes tape2 {
    0% {
        transform: perspective(500px) rotateX(0deg) rotateY(-20deg) rotateZ(0deg);
    }
    100% {
        transform: perspective(500px) rotateX(0deg) rotateY(20deg) rotateZ(0deg);
    }
}

.basket_button_wrapper {
    margin-top: 10px;
}

.btn {
    background-color: #5b47fb;
}

#basket_filter {
    margin-top: -10px;
}

.chat_message {
    font-family: "Roboto", sans-serif;
    word-wrap: break-word;
    letter-spacing: .5px;
    font-size: 0.8rem;
    margin: 0;
}

.chat_message_seperator {
    margin: 2px;
}

#message_input_wrapper {
    margin-top:15px;
}

.az-content-body-chat {
    margin-left: 15px;
    margin-right: 15px;
}

/*------------------------------------------------------------------------------
Logo Loader 
---------------------------------------------------------------------------------*/


#overlay-light {
    width:100%;
    height:100%;
    position: absolute;
    background-color: #fff;
}

.loader-container {
  width: 200px;
  height: 200px;
  position: absolute;
  top: 50%;
  left: 50%;
  margin: auto;
}



.dot-10{
  background-color: #00283c;
  animation: dot-1-move 2s ease-out infinite, dot-show 2s ease infinite ; 
  width: 7px;
  height: 7px;
  border-radius: 50%;
  position: absolute;
  top: -51px;
  left: 42px;
}

.dot-9{
  background-color: #00283c;
  animation: dot-5-move 2s ease-out infinite, dot-show 2s ease infinite  ; 
  width: 11px;
  height: 11px;
  border-radius: 50%;
  position: absolute;
  top: -42px;
  left: 35px;
}

.dot-8 {
  background-color: #00283c;
  animation: dot-2-move 2s ease-out infinite, dot-show 2s ease infinite ; 
  width: 11px;
  height: 11px;
  border-radius: 50%;
  position: absolute;
  top: -15px;
  left: 22px;
}

.dot-7 {
  background-color: #00283c;
  animation: dot-1-move 2s ease-out infinite, dot-show 2s ease infinite  ; 
  width: 14px;
  height: 14px;
  border-radius: 50%;
  position: absolute;
  top: -55px;
  left: 23px;
}

.dot-6 {
  background-color: #00283c;
  animation:dot-3-move 2s ease-out infinite, dot-show 2s ease infinite ; 
  width: 14px;
  height: 14px;
  border-radius: 50%;
  position: absolute;
  top: -55px;
  left: 5px;
}

.dot-5 {
  background-color: #00283c;
  animation: dot-5-move 2s ease-out infinite, dot-show 2s ease infinite ; 
  width: 23px;
  height: 23px;
  border-radius: 50%;
  position: absolute;
  top: -40px;
  left: 12px;
 
}

.dot-4 {
  background-color: #00283c;
  animation: dot-2-move 2s ease-out infinite, dot-show 2s ease infinite ; 
  width: 25px;
  height: 25px;
  border-radius: 50%;
  position: absolute;
  top: -14px;
  left: -4px;
 
}

.dot-3 {
  background-color: #29abe2;
animation:dot-1-move 2s ease-out infinite, dot-show 2s ease infinite ;
  position: absolute;
  top: -85px;
  left: 13px;
  
}

.dot-2 {
  background-color: #00a99d;
animation:dot-3-move 2s ease-out infinite, dot-show 2s ease infinite  ;
  position: absolute;
  top: -85px;
  left: -25px;
  
}

.dot-1 {
  background-color: #7fcac3;
animation: dot-2-move 2s ease-out infinite, dot-show 2s ease infinite ;
  position: absolute;
  top: -47px;
  left: -25px;
  
}


.dot { 
  width: 35px;
  height: 35px;
  border-radius: 50%;
  position: absolute;
  margin: auto;
}


@keyframes dot-show {
    20% {opacity: 1}
  45% {opacity: .0}
  60% {opacity: 0}
  70% {opacity: .5}
  100% {opacity: 1}
}

@keyframes dot-grow {
  20% {transform: scale(1)}
  45% {transform: scale(.0)}
  65% {transform: scale(.30)}
  80% {transform: scale(1)}
  100% {transform: scale(1)}
}

@keyframes dot-3-move {
  10% {transform: translateY(0px) scale(1)}
  45% {transform: translate(-10px,-18px) scale(.45)}
  60% {transform: translate(-15px,-90px) scale(.0)}
  80% {transform: translate(-90px,-18px) scale(.0)}
  100% {transform: translateY(0px) scale(1)}
}
@keyframes dot-2-move {
  10% {transform: translateY(0px) scale(1)}
  45% {transform: translate(-30px, 50px) scale(.45)}
  60% {transform: translate(-80px, 100px) scale(.0)}
  80% {transform: translate(90px, 10px) scale(.0)}
  100% {transform: translateY(0px) scale(1)}
}
@keyframes dot-1-move {
  10% {transform: translateY(0px) scale(1)}
  45% {transform: translate(50px,10px) scale(.45)}
  60% {transform: translate(100px,-10px) scale(.0)}
  80% {transform: translate(1px, -50px) scale(.0)}
  100% {transform: translateY(0px) scale(1)}
}
  @keyframes dot-5-move {
  10% {transform: translateY(0px) scale(1)}
  45% {transform: translateX(-40px) scale(.45)}
  60% {transform: translateX(-90px) scale(.0)}
  80% {transform: translateX(40px) scale(.0)}
  100% {transform:translateY(0px)  scale(1)}
}

.dt-right {
    text-align: right;
}

.dt-center {
    text-align: center;
}

.form-label {
    margin-top: 15px;
}

#todoFormModal > div {
    max-width: 570px;
}